Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.NEP.CISSExtraction

class slepc4py.SLEPc.NEP.CISSExtraction

  Bases: `object`

  NEP CISS extraction technique.

  - `RITZ`: Ritz extraction.

  - `HANKEL`: Extraction via Hankel eigenproblem.

  - `CAA`: Communication-avoiding Arnoldi.

  Attributes Summary

  `CAA` | Constant `CAA` of type `int`
  `HANKEL` | Constant `HANKEL` of type `int`
  `RITZ` | Constant `RITZ` of type `int`

  Attributes Documentation

  CAA: int = CAA

    Constant `CAA` of type `int`

  HANKEL: int = HANKEL

    Constant `HANKEL` of type `int`

  RITZ: int = RITZ

    Constant `RITZ` of type `int`